import axios from 'axios'

export const api = axios.create({
  // baseURL: 'http://beta.lacus.site/v1/',
  baseURL: window.location.origin + '/v1/',
  headers: {
    'Content-Type': 'application/x-www-form-urlencoded',
    'Accept': 'application/json',
    'Access-Control-Allow-Origin': '*'
  },
  timeout: 30 * 1000
})

export const apirow = axios.create({
  headers: {
    'Content-Type': 'application/x-www-form-urlencoded',
    'Accept': 'application/vnd.toast.v1+json'
  },
  timeout: 10 * 1000
})

//设置拦截器
api.interceptors.response.use(
  (response) => {
    // console.log('拦截器:请求成功', response)
    return response
  }, (error) => {
    // console.log('拦截器:发生错误', error.response)
    return Promise.reject(error)
  }
)
